libstdc++: std::bitset< _Nb >::reference Class Reference

libstdc++

std::bitset< _Nb >::reference Class Reference

`#include <bitset>`

## Public Member Functions
| reference (const reference &)=default
constexpr reference & | flip () noexcept
constexpr | operator bool () const noexcept
constexpr reference & | operator= (bool __x) noexcept
constexpr reference & | operator= (const reference &__j) noexcept
constexpr bool | operator~ () const noexcept

## Friends
class | bitset

## Detailed Description

template<size_t _Nb>
class std::bitset< _Nb >::reference

This encapsulates the concept of a single bit. An instance of this class is a proxy for an actual bit; this way the individual bit operations are done as faster word-size bitwise instructions.

Most users will never need to use this class directly; conversions to and from bool are automatic and should be transparent. Overloaded operators help to preserve the illusion.

(On a typical system, this bit reference is 64 times the size of an actual bit. Ha.)

Definition at line 874 of file bitset.

## Constructor & Destructor Documentation

## ◆ ~reference()

template<size_t _Nb>

std::bitset< _Nb >::reference::~reference | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 896 of file bitset.

## Member Function Documentation

## ◆ flip()

template<size_t _Nb>

reference & std::bitset< _Nb >::reference::flip | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 937 of file bitset.

## ◆ operator bool()

template<size_t _Nb>

std::bitset< _Nb >::reference::operator bool | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 931 of file bitset.

## ◆ operator=() [1/2]

template<size_t _Nb>

reference & std::bitset< _Nb >::reference::operator= | ( | bool | __x | ) |
| inlineconstexprnoexcept

Definition at line 902 of file bitset.

## ◆ operator=() [2/2]

template<size_t _Nb>

reference & std::bitset< _Nb >::reference::operator= | ( | const reference & | __j | ) |
| inlineconstexprnoexcept

Definition at line 914 of file bitset.

## ◆ operator~()

template<size_t _Nb>

bool std::bitset< _Nb >::reference::operator~ | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 926 of file bitset.

## Friends And Related Symbol Documentation

## ◆ bitset

template<size_t _Nb>

friend class bitset
| friend

Definition at line 876 of file bitset.

The documentation for this class was generated from the following file:

- bitset